Signed-off-by: Gerardo Exequiel Pozzi <[email protected]>
---
 README                           |    6 ++--
 archiso/Makefile                 |    8 ++--
 archiso/hooks/archiso_pxe_curl   |   61 --------------------------------------
 archiso/hooks/archiso_pxe_http   |   61 ++++++++++++++++++++++++++++++++++++++
 archiso/install/archiso_pxe_curl |   18 -----------
 archiso/install/archiso_pxe_http |   18 +++++++++++
 configs/releng/build.sh          |    2 +-
 configs/releng/mkinitcpio.conf   |    2 +-
 8 files changed, 88 insertions(+), 88 deletions(-)
 delete mode 100644 archiso/hooks/archiso_pxe_curl
 create mode 100644 archiso/hooks/archiso_pxe_http
 delete mode 100644 archiso/install/archiso_pxe_curl
 create mode 100644 archiso/install/archiso_pxe_http

diff --git a/README b/README
index c8f7331..19fdf46 100644
--- a/README
+++ b/README
@@ -5,7 +5,7 @@ INDEX
   * hooks/archiso
   * hooks/archiso_pxe_common
   * hooks/archiso_pxe_nbd
-  * hooks/archiso_pxe_curl
+  * hooks/archiso_pxe_http
   * hooks/archiso_pxe_nfs
   * hooks/archiso_loop_mnt
 * Boot parameters (only for configs/releng)
@@ -87,7 +87,7 @@ INDEX
                     Default: (unset)
 
 
-** hooks/archiso_pxe_curl
+** hooks/archiso_pxe_http
 
 * archiso_curl_url= Set an HTTP/FTP URL (must end with /) where 
${archisobasedir}
                     is found with all *.sfs files.
@@ -163,7 +163,7 @@ if nothing is specified on command line.
  + mkinitcpio-nfs-utils    for ipconfig
 * archiso_pxe_nbd
  + nbd                     for nbd-client
-* archiso_pxe_curl
+* archiso_pxe_http
  + curl                    for curl
 * archiso_pxe_nfs
  + mkinitcpio-nfs-utils    for nfsmount
diff --git a/archiso/Makefile b/archiso/Makefile
index a073adf..cf7cd05 100644
--- a/archiso/Makefile
+++ b/archiso/Makefile
@@ -20,8 +20,8 @@ install-hooks:
        install -D -m 644 install/archiso_pxe_common 
$(DESTDIR)/lib/initcpio/install/archiso_pxe_common
        install -D -m 644 hooks/archiso_pxe_nbd 
$(DESTDIR)/lib/initcpio/hooks/archiso_pxe_nbd
        install -D -m 644 install/archiso_pxe_nbd 
$(DESTDIR)/lib/initcpio/install/archiso_pxe_nbd
-       install -D -m 644 hooks/archiso_pxe_curl 
$(DESTDIR)/lib/initcpio/hooks/archiso_pxe_curl
-       install -D -m 644 install/archiso_pxe_curl 
$(DESTDIR)/lib/initcpio/install/archiso_pxe_curl
+       install -D -m 644 hooks/archiso_pxe_http 
$(DESTDIR)/lib/initcpio/hooks/archiso_pxe_http
+       install -D -m 644 install/archiso_pxe_http 
$(DESTDIR)/lib/initcpio/install/archiso_pxe_http
        install -D -m 644 hooks/archiso_pxe_nfs 
$(DESTDIR)/lib/initcpio/hooks/archiso_pxe_nfs
        install -D -m 644 install/archiso_pxe_nfs 
$(DESTDIR)/lib/initcpio/install/archiso_pxe_nfs
        install -D -m 644 hooks/archiso_loop_mnt 
$(DESTDIR)/lib/initcpio/hooks/archiso_loop_mnt
@@ -50,8 +50,8 @@ uninstall:
        rm -f $(DESTDIR)/lib/initcpio/install/archiso_pxe_common
        rm -f $(DESTDIR)/lib/initcpio/hooks/archiso_pxe_nbd
        rm -f $(DESTDIR)/lib/initcpio/install/archiso_pxe_nbd
-       rm -f $(DESTDIR)/lib/initcpio/hooks/archiso_pxe_curl
-       rm -f $(DESTDIR)/lib/initcpio/install/archiso_pxe_curl
+       rm -f $(DESTDIR)/lib/initcpio/hooks/archiso_pxe_http
+       rm -f $(DESTDIR)/lib/initcpio/install/archiso_pxe_http
        rm -f $(DESTDIR)/lib/initcpio/hooks/archiso_pxe_nfs
        rm -f $(DESTDIR)/lib/initcpio/install/archiso_pxe_nfs
        rm -f $(DESTDIR)/lib/initcpio/hooks/archiso_loop_mnt
diff --git a/archiso/hooks/archiso_pxe_curl b/archiso/hooks/archiso_pxe_curl
deleted file mode 100644
index 8f3711c..0000000
--- a/archiso/hooks/archiso_pxe_curl
+++ /dev/null
@@ -1,61 +0,0 @@
-# vim: set ft=sh:
-
-run_hook() {
-    if [[ -n "${ip}" && -n "${archiso_curl_url}" ]]; then
-
-        archiso_curl_url=$(eval echo ${archiso_curl_url})
-        [[ -z "${curlspace_size}" ]] && curlspace_size="75%"
-
-        mount_handler="archiso_pxe_curl_mount_handler"
-    fi
-}
-
-# Fetch a file with CURL
-#
-# $1 URL
-# $2 Destination directory inside curlspace/${archisobasedir}
-_curl_get() {
-    local _url="${1}"
-    local _dst="${2}"
-
-    msg ":: Downloading '${_url}'"
-    if ! curl -f -o 
"/run/archiso/curlspace/${archisobasedir}${_dst}/${_url##*/}" --create-dirs 
"${_url}"; then
-        echo "ERROR: Downloading '${_url}'"
-        echo "   Falling back to interactive prompt"
-        echo "   You can try to fix the problem manually, log out when you are 
finished"
-        launch_interactive_shell
-    fi
-}
-
-archiso_pxe_curl_mount_handler () {
-    newroot="${1}"
-
-    msg ":: Mounting /run/archiso/curlspace (tmpfs) filesystem, 
size='${curlspace_size}'"
-    mkdir -p "/run/archiso/curlspace"
-    mount -t tmpfs -o size="${curlspace_size}",mode=0755 curlspace 
"/run/archiso/curlspace"
-
-    local _aitab_url="${archiso_curl_url}${aitab#/run/archiso/bootmnt/}"
-    local _aitab_file="/run/archiso/curlspace/${aitab#/run/archiso/bootmnt/}"
-
-    _curl_get "${_aitab_url}" "/"
-
-    local aitab_img aitab_mnt aitab_arch aitab_sfs_comp aitab_fs_type 
aitab_fs_size
-    while read aitab_img aitab_mnt aitab_arch aitab_sfs_comp aitab_fs_type 
aitab_fs_size; do
-        [[ "${aitab_img#\#}" != "${aitab_img}" ]] && continue
-        [[ "${aitab_arch}" != "any" && "${aitab_arch}" != "${arch}" ]] && 
continue
-        if [[ "${aitab_fs_type}" != "none" ]]; then
-            _curl_get 
"${archiso_curl_url}${archisobasedir}/${aitab_arch}/${aitab_img}.fs.sfs" 
"/${aitab_arch}"
-        else
-            _curl_get 
"${archiso_curl_url}${archisobasedir}/${aitab_arch}/${aitab_img}.sfs" 
"/${aitab_arch}"
-        fi
-    done < "${_aitab_file}"
-
-    if [[ "${checksum}" == "y" ]]; then
-        _curl_get "${archiso_curl_url}${archisobasedir}/checksum.${arch}.md5" 
"/"
-    fi
-
-    mkdir -p "/run/archiso/bootmnt"
-    mount -o bind /run/archiso/curlspace /run/archiso/bootmnt
-
-    archiso_mount_handler ${newroot}
-}
diff --git a/archiso/hooks/archiso_pxe_http b/archiso/hooks/archiso_pxe_http
new file mode 100644
index 0000000..7149013
--- /dev/null
+++ b/archiso/hooks/archiso_pxe_http
@@ -0,0 +1,61 @@
+# vim: set ft=sh:
+
+run_hook() {
+    if [[ -n "${ip}" && -n "${archiso_curl_url}" ]]; then
+
+        archiso_curl_url=$(eval echo ${archiso_curl_url})
+        [[ -z "${curlspace_size}" ]] && curlspace_size="75%"
+
+        mount_handler="archiso_pxe_http_mount_handler"
+    fi
+}
+
+# Fetch a file with CURL
+#
+# $1 URL
+# $2 Destination directory inside curlspace/${archisobasedir}
+_curl_get() {
+    local _url="${1}"
+    local _dst="${2}"
+
+    msg ":: Downloading '${_url}'"
+    if ! curl -f -o 
"/run/archiso/curlspace/${archisobasedir}${_dst}/${_url##*/}" --create-dirs 
"${_url}"; then
+        echo "ERROR: Downloading '${_url}'"
+        echo "   Falling back to interactive prompt"
+        echo "   You can try to fix the problem manually, log out when you are 
finished"
+        launch_interactive_shell
+    fi
+}
+
+archiso_pxe_http_mount_handler () {
+    newroot="${1}"
+
+    msg ":: Mounting /run/archiso/curlspace (tmpfs) filesystem, 
size='${curlspace_size}'"
+    mkdir -p "/run/archiso/curlspace"
+    mount -t tmpfs -o size="${curlspace_size}",mode=0755 curlspace 
"/run/archiso/curlspace"
+
+    local _aitab_url="${archiso_curl_url}${aitab#/run/archiso/bootmnt/}"
+    local _aitab_file="/run/archiso/curlspace/${aitab#/run/archiso/bootmnt/}"
+
+    _curl_get "${_aitab_url}" "/"
+
+    local aitab_img aitab_mnt aitab_arch aitab_sfs_comp aitab_fs_type 
aitab_fs_size
+    while read aitab_img aitab_mnt aitab_arch aitab_sfs_comp aitab_fs_type 
aitab_fs_size; do
+        [[ "${aitab_img#\#}" != "${aitab_img}" ]] && continue
+        [[ "${aitab_arch}" != "any" && "${aitab_arch}" != "${arch}" ]] && 
continue
+        if [[ "${aitab_fs_type}" != "none" ]]; then
+            _curl_get 
"${archiso_curl_url}${archisobasedir}/${aitab_arch}/${aitab_img}.fs.sfs" 
"/${aitab_arch}"
+        else
+            _curl_get 
"${archiso_curl_url}${archisobasedir}/${aitab_arch}/${aitab_img}.sfs" 
"/${aitab_arch}"
+        fi
+    done < "${_aitab_file}"
+
+    if [[ "${checksum}" == "y" ]]; then
+        _curl_get "${archiso_curl_url}${archisobasedir}/checksum.${arch}.md5" 
"/"
+    fi
+
+    mkdir -p "/run/archiso/bootmnt"
+    mount -o bind /run/archiso/curlspace /run/archiso/bootmnt
+
+    archiso_mount_handler ${newroot}
+}
diff --git a/archiso/install/archiso_pxe_curl b/archiso/install/archiso_pxe_curl
deleted file mode 100644
index a9342ae..0000000
--- a/archiso/install/archiso_pxe_curl
+++ /dev/null
@@ -1,18 +0,0 @@
-# vim: set ft=sh:
-
-build ()
-{
-    MODULES=""
-    BINARIES=""
-    FILES=""
-    SCRIPT="archiso_pxe_curl"
-
-    add_binary "/usr/bin/curl"
-}
-
-help ()
-{
-cat<<HELPEOF
-  This hook loads the necessary modules for boot via PXE and HTTP/FTP with 
curl.
-HELPEOF
-}
diff --git a/archiso/install/archiso_pxe_http b/archiso/install/archiso_pxe_http
new file mode 100644
index 0000000..9731732
--- /dev/null
+++ b/archiso/install/archiso_pxe_http
@@ -0,0 +1,18 @@
+# vim: set ft=sh:
+
+build ()
+{
+    MODULES=""
+    BINARIES=""
+    FILES=""
+    SCRIPT="archiso_pxe_http"
+
+    add_binary "/usr/bin/curl"
+}
+
+help ()
+{
+cat<<HELPEOF
+  This hook loads the necessary modules for boot via PXE and HTTP/FTP with 
curl.
+HELPEOF
+}
diff --git a/configs/releng/build.sh b/configs/releng/build.sh
index 1251c79..4967863 100755
--- a/configs/releng/build.sh
+++ b/configs/releng/build.sh
@@ -28,7 +28,7 @@ make_packages() {
 make_setup_mkinitcpio() {
    if [[ ! -e ${work_dir}/build.${FUNCNAME} ]]; then
         local _hook
-        for _hook in archiso archiso_shutdown archiso_pxe_common 
archiso_pxe_nbd archiso_pxe_curl archiso_pxe_nfs archiso_loop_mnt; do
+        for _hook in archiso archiso_shutdown archiso_pxe_common 
archiso_pxe_nbd archiso_pxe_http archiso_pxe_nfs archiso_loop_mnt; do
             cp /lib/initcpio/hooks/${_hook} 
${work_dir}/root-image/lib/initcpio/hooks
             cp /lib/initcpio/install/${_hook} 
${work_dir}/root-image/lib/initcpio/install
         done
diff --git a/configs/releng/mkinitcpio.conf b/configs/releng/mkinitcpio.conf
index 5570ed6..12a656d 100644
--- a/configs/releng/mkinitcpio.conf
+++ b/configs/releng/mkinitcpio.conf
@@ -1,2 +1,2 @@
-HOOKS="base udev memdisk archiso_shutdown archiso archiso_loop_mnt 
archiso_pxe_common archiso_pxe_nbd archiso_pxe_curl archiso_pxe_nfs archiso_kms 
pata scsi sata virtio usb fw pcmcia filesystems usbinput"
+HOOKS="base udev memdisk archiso_shutdown archiso archiso_loop_mnt 
archiso_pxe_common archiso_pxe_nbd archiso_pxe_http archiso_pxe_nfs archiso_kms 
pata scsi sata virtio usb fw pcmcia filesystems usbinput"
 COMPRESSION="xz"
-- 
1.7.7.4

Reply via email to